/* Sweep
 by BARRAGAN <http://barraganstudio.com> 
 This example code is in the public domain.

 modified 8 Nov 2013
 by Scott Fitzgerald
 http://www.arduino.cc/en/Tutorial/Sweep
*/ 

#include <Servo.h> 
 
Servo servo1;  // create servo object to control a servo 
Servo servo2;
Servo servo3;
Servo servo4;
Servo servo5;
                // twelve servo objects can be created on most boards

int counter = 0;
int even = 0;
int odd = 0;
int initialEven = 0;
int initialOdd = 0;
int pos = 0;    // variable to store the servo position 
 
void setup() 
{ 
  servo1.attach(9);  // attaches the servo on pin 9 to the servo object 
  servo2.attach(10);
  servo3.attach(11);
  servo4.attach(12);
  servo5.attach(13);
  Serial.begin(9600);
  Serial.println("Setup Finished");
} 
 
void loop() 
{
  final();
} 

void final()
{
  //Servo 1 up
  for(pos = -20; pos <= 45; pos += 1)
  {
    servo1.write(pos); 
    delay(5); 
  }

  //Servo 2 up
  for(pos = -20; pos <= 45; pos += 1)
  {
    servo2.write(pos); 
    delay(5); 
  }

  //Servo 1 Down
  for(pos = 45; pos>=-20; pos-=1)
  {                                
    servo1.write(pos);
    delay(5); 
  }

  //Servo 3 up
  for(pos = -20; pos <= 45; pos += 1)
  {
    servo3.write(pos); 
    delay(5); 
  }

  //Servo 2 Down
  for(pos = 45; pos>=-20; pos-=1)
  {                                
    servo2.write(pos);
    delay(5); 
  }

  //Servo 4 up
  for(pos = -20; pos <= 45; pos += 1)
  {
    servo4.write(pos); 
    delay(5); 
  }

  //Servo 3 Down
  for(pos = 45; pos>=-20; pos-=1)
  {                                
    servo3.write(pos);
    delay(5); 
  }

  //Servo 5 up
  for(pos = -20; pos <= 45; pos += 1)
  {
    servo5.write(pos); 
    delay(5); 
  }

  //Servo 4 Down
  for(pos = 45; pos>=-20; pos-=1)
  {                                
    servo4.write(pos);
    delay(5); 
  }

  //Servo 5 Down
  for(pos = 45; pos>=-20; pos-=1)
  {                                
    servo5.write(pos);
    delay(5); 
  }

  //Servo 4 up
  for(pos = -20; pos <= 45; pos += 1)
  {
    servo2.write(pos); 
    delay(5); 
  }
}

void takeOne()
{
  Serial.println("Loop Start");
  Serial.print("Counter pStart: ");
  Serial.println(counter);
  Serial.print("Even pStart: ");
  Serial.println(even);
  Serial.print("Odd pStart: ");
  Serial.println(odd);
  counter = 65;
  if(even != -20)
  {
    initialOdd = -20;
    initialEven = 45;
  }
  else
  {
    initialOdd = 45;
    initialEven = -20;
  }
  even = initialEven;
  odd = initialOdd;

  Serial.print("Counter Start: ");
  Serial.println(counter);
  Serial.print("Even Start: ");
  Serial.println(even);
  Serial.print("Odd Start: ");
  Serial.println(odd);
  
  while(counter != 0)
  {
    Serial.println("While Start");
    if(initialEven < initialOdd)
    {
      even++;
      odd--;
    }
    else
    {
      even--;
      odd++;
    }
    servo1.write(odd);
    servo2.write(even);
    servo3.write(odd);
    servo4.write(even);
    servo5.write(odd);
//    delay(5);
    counter--;
    Serial.print("Counter: ");
    Serial.println(counter);
    Serial.print("Even: ");
    Serial.println(even);
    Serial.print("Odd: ");
    Serial.println(odd);
//    delay(250);
    Serial.println("While End");
  }
//  delay(2000);
  Serial.println("Loop End");
}

void rando()
{
    servo1.write(random(-20,45));
    servo2.write(random(-20,45));
    servo3.write(random(-20,45));
    servo4.write(random(-20,45));
    servo5.write(random(-20,45));
    delay(15); 
}

void demo()
{
    for(pos = -20; pos <= 45; pos += 1) // goes from -20 degrees to 45 degrees 
  {                                     // in steps of 1 degree 
    servo1.write(pos);                  // tell servo to go to position in variable 'pos' 
    servo2.write(pos);
    servo3.write(pos);
    servo4.write(pos);
    servo5.write(pos);
    delay(5);                           // waits 5ms for the servo to reach the position 
  } 
  for(pos = 45; pos>=-20; pos-=1)       // goes from 45 degrees to -20 degrees 
  {                                
    servo1.write(pos);
    servo2.write(pos);
    servo3.write(pos);
    servo4.write(pos);
    servo5.write(pos);
    delay(5); 
  }
}

void zero()
{
    servo1.write(-20);
    delay(50);
    servo2.write(-20);
    delay(50);
    servo3.write(-20);
    delay(50);
    servo4.write(-20);
    delay(50);
    servo5.write(-20);
    delay(50);
}

